Bug 443413 - Email response template contains wrong link
Email response template contains wrong link
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
unspecified
All Linux
high Severity low
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-21 09:44 EDT by Johannes Russek
Modified: 2015-01-04 18:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (3.25 KB, patch)
2009-02-11 14:30 EST, Ade Lee
no flags Details | Diff

  None (edit)
Description Johannes Russek 2008-04-21 09:44:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):

1.0

How reproducible:

request a certificate and look at the mail dogtag sends to the agent.


Actual results:

dogtag sends a mail with link to: https://my-pki:9443/ca/processReq?seqNum=8
but actually it's supposed to be
https://my-pki:9443/ca/agent/ca/profileReview?requestId=8

Additional info:

so apparently the URL dogtag sends out was valid for the redhat ca 7.1, but it's
not valid anymore
Comment 5 Ade Lee 2009-02-11 14:30:58 EST
Created attachment 331614 [details]
patch to fix

cfu , please review.
Comment 6 Christina Fu 2009-02-11 19:16:35 EST
(In reply to comment #5)
> Created an attachment (id=331614) [details]
> patch to fix
> 
> cfu , please review.

cfu+
Comment 7 Ade Lee 2009-02-11 20:15:26 EST
[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla BZ 443413, 443417"
Sending        base/ca/shared/emails/certIssued_CA
Sending        base/ca/shared/emails/certIssued_CA.html
Sending        base/ca/shared/emails/reqInQueue_CA
Sending        base/ca/shared/emails/reqInQueue_CA.html
Sending        base/common/src/com/netscape/cms/listeners/RequestInQListener.java
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/common/pki-common.spec
Transmitting file data .......
Committed revision 224.
Comment 8 Jenny Galipeau 2009-06-04 15:27:24 EDT
Verified

certIssued_CA
To get your certificate, please follow this URL:
https://$HttpHost:$HttpPort/ca/ee/ca/displayBySerial?serialNumber=$SerialNumber


certIssued_CA.html
To get your certificate, please follow this
<A HREF="https://$HttpHost:$HttpPort/ca/ee/ca/displayBySerial?serialNumber=$SerialNumber">URL</A>

reqInQueue_CA
request process url: https://$HttpHost:$HttpPort/ca/agent/ca/profileReview?requestId=$RequestId

reqInQueue_CA.html
Click 
<a href="https://$HttpHost:$HttpPort/ca/agent/ca/profileReview?requestId=$RequestId">
this URL</a> to process request

Note You need to log in before you can comment on or make changes to this bug.